package io.github.rmuhamedgaliev.model.process;

/**
 * Developer: Muhamedgaliev Rinat
 */
public final class LocalProcess
{
    private String command;
    private String user;
    private String stat;
    private String vsz;
    private String rss;
    private String cpu;
    private String cpuTime;
    private String startTime;
    private String pid;
    private String memory;
    private String ppid;
    private String commandWithArgs;

    public LocalProcess(String command, String user, String stat, String vsz, String rss, String cpu, String cpuTime, String startTime, String pid, String memory, String ppid, String commandWithArgs)
    {
        this.command = command;
        this.user = user;
        this.stat = stat;
        this.vsz = vsz;
        this.rss = rss;
        this.cpu = cpu;
        this.cpuTime = cpuTime;
        this.startTime = startTime;
        this.pid = pid;
        this.memory = memory;
        this.ppid = ppid;
        this.commandWithArgs = commandWithArgs;
    }


    public String getCommand()
    {
        return command;
    }

    public void setCommand(String command)
    {
        this.command = command;
    }

    public String getUser()
    {
        return user;
    }

    public void setUser(String user)
    {
        this.user = user;
    }

    public String getStat()
    {
        return stat;
    }

    public void setStat(String stat)
    {
        this.stat = stat;
    }

    public String getVsz()
    {
        return vsz;
    }

    public void setVsz(String vsz)
    {
        this.vsz = vsz;
    }

    public String getRss()
    {
        return rss;
    }

    public void setRss(String rss)
    {
        this.rss = rss;
    }

    public String getCpu()
    {
        return cpu;
    }

    public void setCpu(String cpu)
    {
        this.cpu = cpu;
    }

    public String getCpuTime()
    {
        return cpuTime;
    }

    public void setCpuTime(String cpuTime)
    {
        this.cpuTime = cpuTime;
    }

    public String getStartTime()
    {
        return startTime;
    }

    public void setStartTime(String startTime)
    {
        this.startTime = startTime;
    }

    public String getPid()
    {
        return pid;
    }

    public void setPid(String pid)
    {
        this.pid = pid;
    }

    public String getMemory()
    {
        return memory;
    }

    public void setMemory(String memory)
    {
        this.memory = memory;
    }

    public String getPpid()
    {
        return ppid;
    }

    public void setPpid(String ppid)
    {
        this.ppid = ppid;
    }

    public String getCommandWithArgs()
    {
        return commandWithArgs;
    }

    public void setCommandWithArgs(String commandWithArgs)
    {
        this.commandWithArgs = commandWithArgs;
    }
}
